Modify

Opened 14 years ago

Closed 14 years ago

Last modified 14 years ago

#3852 closed defect (fixed)

PicLayer plugin doesn't load

Reported by: alexanderg@… Owned by: alexanderg@…
Priority: normal Milestone:
Component: Plugin Version: latest
Keywords: piclayer Cc:

Description

Piclayer plugin does not load:

This is the startup log:

Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2009-11-06 02:31:36
Last Changed Author: ce
Revision: 2393
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2009-11-06 01:07:17 +0100 (Fri, 06 Nov 2009)
Last Changed Rev: 2393

Fatal: failed to locate image 'historic/palaeontological_site.png'. This is a serious configuration problem. JOSM will stop working.
Mappaint-Style "standard" icon "historic/palaeontological_site.png" not found.
loading PicLayer
java.lang.NoSuchMethodError: org.openstreetmap.josm.gui.MainMenu.addMenu(Ljava/lang/String;II)Ljavax/swing/JMenu;

at org.openstreetmap.josm.plugins.piclayer.PicLayerPlugin.<init>(PicLayerPlugin.java:59)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
at java.lang.Class.newInstance0(Class.java:372)
at java.lang.Class.newInstance(Class.java:325)
at org.openstreetmap.josm.plugins.PluginInformation.load(PluginInformation.java:185)
at org.openstreetmap.josm.plugins.PluginHandler.loadPlugins(PluginHandler.java:207)
at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:150)

loading buildings_tools
loading colorscheme
loading multipoly
Silent shortcut conflict: 'tools:multipoly' moved by 'tools:mirror' to 'Alt+Shift+M'.
loading openstreetbugs
loading osmarender
loading tageditor
loading utilsplugin
loading validator
loading waydownloader

Attachments (0)

Change History (12)

comment:1 by anonymous, 14 years ago

Confirming the problem. Apparently unrelated to the missing-icon message from the author above.

loading PicLayer
java.lang.NoSuchMethodError: org.openstreetmap.josm.gui.MainMenu.addMenu(Ljava/lang/String;II)Ljavax/swing/JMenu;

at org.openstreetmap.josm.plugins.piclayer.PicLayerPlugin.<init>(PicLayerPlugin.java:59)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
at java.lang.reflect.Constructor.newInstance(Constructor.java:501)
at java.lang.Class.newInstance0(Class.java:350)
at java.lang.Class.newInstance(Class.java:303)
at org.openstreetmap.josm.plugins.PluginInformation.load(PluginInformation.java:185)
at org.openstreetmap.josm.plugins.PluginHandler.loadPlugins(PluginHandler.java:207)
at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:150)

comment:2 by anonymous, 14 years ago

Resolution: fixed
Status: newclosed

Apparently things have to be rebuilt.

svn co http://svn.openstreetmap.org/applications/editors/josm
cd josm/core/
ant dist
---> [jar] Building jar: [...]/josm/core/dist/josm-custom.jar
cd ../plugins/piclayer/
ant dist
cp ../../dist/PicLayer.jar ~/.josm/plugins/

and things work again...

comment:3 by anonymous, 14 years ago

Apparently things have to be rebuilt.

svn co http://svn.openstreetmap.org/applications/editors/josm
cd josm/core/
ant dist
--->       [jar] Building jar: [...]/josm/core/dist/josm-custom.jar
cd ../plugins/piclayer/
ant dist
cp ../../dist/PicLayer.jar ~/.josm/plugins/

and things work again...

comment:4 by stoecker, 14 years ago

Fixed in [o18485].

comment:5 by Wunibald, 14 years ago

Resolution: fixed
Status: closedreopened

Similar problem:
after starting JOSM, the error "plugin piclayer could not be loaded" comes up, also it is already in the corect folder (C:\Documents and Settings\username\Application Data\JOSM\plugins)

comment:6 by stoecker, 14 years ago

Owner: changed from team to alexanderg@…
Status: reopenedneedinfo

An error report without the error message is not helpful. Attach the complete error text.

comment:7 by anonymous, 14 years ago

Oh sorry,
I'm not an expert, can you explain how to create this report ?

Regards
W.

comment:8 by anonymous, 14 years ago

When you get an exception error message, then post the error message. The error itself contains all necessary steps. If not, then describe EXACTLY what you see and included all version information. The help menu has a menu point, where all relevant information is available.

comment:9 by anonymous, 14 years ago

Wunibald, report not just the error dialog in the GUI, but also the error log in the terminal where you have started JOSM. Look at the first posting in this ticket, should look like this, giving the details of the version you are using and then the Java error output.

comment:10 by anonymous, 14 years ago

Hello,
this is part of what I found under help->status report.
Some more: i'm using windows_xp

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2009-11-07 02:31:33
Last Changed Author: bastiK
Revision: 2394
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2009-11-06 17:55:07 +0100 (Fri, 06 Nov 2009)
Last Changed Rev: 2394

Memory Usage: 16 MB / 63 MB (5 MB allocated, but free)
Java version: 1.6.0_16

Plugins: PicLayercolorschemeplastic_lafutilspluginwmsplugin
Plugin plastic_laf Version: 14016
Plugin colorscheme Version: 18413
Plugin utilsplugin Version: 18415
Plugin wmsplugin Version: 18408

If more information is needed, please specify in detail how and were i get it (Sorry, but i'm realy a beginner :-( ).
Best regards and thanks for the quick support.
W.

comment:11 by stoecker, 14 years ago

Resolution: fixed
Status: needinfoclosed

Sorry, this plugin had a wrong version handling. Fixed in [o18505]. Please update plugin and retry.

comment:12 by anonymous, 14 years ago

Great - it works.
Thanks !!!!!!!!!!!!!
Wunibald

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain alexanderg@….
as The resolution will be set.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.